## Copyright (C) 2006  SWsoft
## All rights reserved.
## Here should be placed non-MT toolkit functions for plug-ins
package HSPC::PluginToolkit::PP;

use strict;
use vars qw(@ISA @EXPORT_OK);

use HSPC::MT::PP::PluginEngine::OP;
use HSPC::MT::PluginTools qw(get_request_data);

use Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw( callback_url referer_url );

sub callback_url {
	my $template = caller();
	my $vendor_id = get_request_data('plugin_vendor_id');
	
	return HSPC::MT::PP::PluginEngine::OP->callback_url(
		template  => $template,
		vendor_id => $vendor_id,
		params    => \@_,
	);
}

sub referer_url {
	my $vendor_id = get_request_data('plugin_vendor_id');
	return HSPC::MT::PP::PluginEngine::OP->get_redirector_url(
		vendor_id => $vendor_id );
}

1;